Bug 101518 - Anaconda changed my MD (raid) chunk size
Anaconda changed my MD (raid) chunk size
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-08-02 05:32 EDT by RC
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-24 14:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RC 2003-08-02 05:32:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705; .NET CLR 1.1.4322)

Description of problem:
I created my software raid configuration before running the install. I created 
root as raid with 128KB chunk size. Somewhere in the install process it was 
decided that I would prefer 64KB as the chunk size.

Please correct.

As a temporary solution can you tell me how to prevent this from happening?

Thanks in advance (TIA),


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a software raid configuration (Raid0) prior to performing the install.
2. The choice of chunk size in your raidtab file will be set to 64KB regardless.

Actual Results:  I observed that Anaconda does not support chunk sizes other 
than 64KB.

Expected Results:  Allow me to use pre-configured software RAID0 configurations.

Additional info:
Comment 1 Jeremy Katz 2003-08-06 17:47:18 EDT
Did you recreate the raid or just choose the reformat the existing raid device?
Comment 2 RC 2003-08-06 17:59:26 EDT
During the install process my exising raid was detected and I chose to not 
reformat the raid device.
Comment 3 RC 2003-08-06 18:02:12 EDT
With the GUI install there is no way that I know of to allow the install 
process to create the raid device and yet still be able to choose your own 
chunk size from within the install procedure.
Comment 4 Jeremy Katz 2003-08-06 19:21:14 EDT
Aha, I see what's going on.
Comment 6 Jeremy Katz 2003-10-16 19:38:26 EDT
Fixed in CVS
Comment 7 Jeremy Katz 2006-04-24 14:48:09 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.